Bug 20453 - Ошибка при создании RAID с корневой файловой системой
: Ошибка при создании RAID с корневой файловой системой
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/evms)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
: distro-blocker
:
: 19564
  Show dependency tree
 
Reported: 2009-06-15 11:25 by
Modified: 2009-06-17 16:25 (History)


Attachments
evms-engine.log (138.35 KB, text/x-log)
2009-06-15 11:25, Andrey Cherepanov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-15 11:25:48
Created an attachment (id=3606) [details]
evms-engine.log

При создании RAID1 на двух разделах и назначении получившемуся md0 точки
монтирования "/" происходит критическая ошибка ("no such device"). При создании
RAID для иных разделов всё работает.
------- Comment #1 From 2009-06-15 14:03:08 -------
версия ядра ?
------- Comment #2 From 2009-06-15 17:59:40 -------
пинг.
мне нужно знать, как оно себя ведёт на 2.6.27 и 2.6.29 -- сейчас у меня
возможности тестирования ограничены.
------- Comment #3 From 2009-06-15 19:49:42 -------
Я ловил этот баг на 2.6.29-std-def-alt2. Какое ядро у Андрея не знаю.
------- Comment #4 From 2009-06-16 13:09:45 -------
(В ответ на комментарий №1)
> версия ядра ?
2.6.29-std-def-alt3
------- Comment #5 From 2009-06-16 18:46:46 -------
у меня есть некоторые основания думать, что причина в
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ab4c1424882be9cd70b89abf2b484add355712fa
есть мысли ?
------- Comment #6 From 2009-06-16 18:53:26 -------
На kernel-image-ovz-smp-2.6.27-alt7 (в server) работает.
На kernel-image-std-def-2.6.29-alt3 (в desktop) не работает.

2vsu: Сергей, у тебя есть мысли на тему того, как это лучше исправить?
------- Comment #7 From 2009-06-16 22:43:59 -------
Можно увидеть strace процесса, где вылезла ошибка?

(В ответ на комментарий №5)
> у меня есть некоторые основания думать, что причина в
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ab4c1424882be9cd70b89abf2b484add355712fa
Вряд ли - в данном случае ошибка вылезает при работе с md, а не dm.
------- Comment #8 From 2009-06-17 00:00:48 -------
(В ответ на комментарий №7)
> Можно увидеть strace процесса, где вылезла ошибка?
И dmesg - возможно, ядро тоже ругается.

Ещё может иметь смысл попробовать свежий снапшот evms (оказывается, этот труп
ещё кто-то пытается гальванизировать); например, вот явная ошибка в районе md:
http://evms.cvs.sourceforge.net/viewvc/evms/evms2/engine/plugins/md/md_main.c?r1=1.58&r2=1.59
------- Comment #9 From 2009-06-17 16:25:20 -------
fixed in evms-2.5.5-alt12